Package org.eclipse.net4j.util.ui

## Class DefaultPropertySource<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.ui.DefaultPropertySource<RECEIVER>

- All Implemented Interfaces:
    `IPropertySource`
  Direct Known Subclasses:
    `DefaultPropertySource.Augmented`

      public class DefaultPropertySource<RECEIVER>
      extends java.lang.Object
      implements IPropertySource

  Since:
    3.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DefaultPropertySource.Augmented<RECEIVER,​AUGMENTING_RECEIVER>` |
    `static class` | `DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultPropertySource​(RECEIVER receiver)` |
    `DefaultPropertySource​(RECEIVER object, IPropertyProvider<RECEIVER> provider)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PropertyDescriptor` | `addDescriptor​(java.lang.String category, java.lang.Object id, java.lang.String displayName, java.lang.String description)` |
    `boolean` | `addDescriptor​(IPropertyDescriptor descriptor)` |
    `void` | `addDescriptors​(IPropertyProvider<RECEIVER> provider)` |
    `java.lang.Object` | `getEditableValue()` |
    `Property<RECEIVER>` | `getProperty​(java.lang.Object id)` |
    `IPropertyDescriptor` | `getPropertyDescriptor​(java.lang.Object id)` |
    `IPropertyDescriptor[]` | `getPropertyDescriptors()` |
    `java.lang.Object` | `getPropertyValue​(java.lang.Object id)` |
    `RECEIVER` | `getReceiver()` |
    `boolean` | `isPropertySet​(java.lang.Object id)` |
    `void` | `resetPropertyValue​(java.lang.Object id)` |
    `void` | `setPropertyValue​(java.lang.Object id, java.lang.Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPropertySource

          public DefaultPropertySource​(RECEIVER receiver)

    - #### DefaultPropertySource

          public DefaultPropertySource​(RECEIVER object,
                                       IPropertyProvider<RECEIVER> provider)

  - ### Method Detail

    - #### getReceiver

          public RECEIVER getReceiver()

    - #### addDescriptor

          public boolean addDescriptor​(IPropertyDescriptor descriptor)

      Since:
        3.5

    - #### addDescriptor

          public PropertyDescriptor addDescriptor​(java.lang.String category,
                                                  java.lang.Object id,
                                                  java.lang.String displayName,
                                                  java.lang.String description)

    - #### addDescriptors

          public void addDescriptors​(IPropertyProvider<RECEIVER> provider)

    - #### getPropertyDescriptors

          public IPropertyDescriptor[] getPropertyDescriptors()

      Specified by:
        `getPropertyDescriptors` in interface `IPropertySource`

    - #### getPropertyDescriptor

          public IPropertyDescriptor getPropertyDescriptor​(java.lang.Object id)

    - #### getProperty

          public Property<RECEIVER> getProperty​(java.lang.Object id)

    - #### getPropertyValue

          public java.lang.Object getPropertyValue​(java.lang.Object id)

      Specified by:
        `getPropertyValue` in interface `IPropertySource`

    - #### isPropertySet

          public boolean isPropertySet​(java.lang.Object id)

      Specified by:
        `isPropertySet` in interface `IPropertySource`

    - #### resetPropertyValue

          public void resetPropertyValue​(java.lang.Object id)

      Specified by:
        `resetPropertyValue` in interface `IPropertySource`

    - #### setPropertyValue

          public void setPropertyValue​(java.lang.Object id,
                                       java.lang.Object value)

      Specified by:
        `setPropertyValue` in interface `IPropertySource`

    - #### getEditableValue

          public java.lang.Object getEditableValue()

      Specified by:
        `getEditableValue` in interface `IPropertySource`